# Vechai UI

<div align="center">
Collection of Accessible React UI Components using TailwindCSS.

[![npm latest package](https://img.shields.io/npm/v/@vechaiui/react/latest.svg)](https://www.npmjs.com/package/@vechaiui/react)
[![npm downloads](https://img.shields.io/npm/dm/@vechaiui/react.svg)](https://www.npmjs.com/package/@vechaiui/react)

</div>

![](docs/public/themes/screenshot.png)

-  Documentation: [vechaiui.com](https://www.vechaiui.com/getting-started)
-  NPM: [@vechaiui/react](https://www.npmjs.com/package/@vechaiui/react)
## ✨ Features

- 📦 A set of accessibility React components & pre-designed headlessui + radix-ui components.
- 🛠️ Written in TypeScript.
- 🌙 Built-in Dark mode.
- 🌈 Powerful theme customization.

## Installation

```
npm i @vechaiui/core @vechaiui/react @tailwindcss/forms
```

**Yarn**

```
yarn add @vechaiui/core @vechaiui/react @tailwindcss/forms
```

## Development

**Prerequisites**: Node.js v12+, Yarn v1.22+

After cloning this repo, run:

1. `yarn boot` to install all dependencies & build all packages.
2. `yarn start` to run storybook
3. `yarn docs:dev` to run document website

## Contributing

All contributions are welcome. Even, if you notice wrong information, typos, or grammar mistake (English is not my primary language). Feel free to open an issue or create a pull request.

## License

MIT License © 2021 [pepelele](https://github.com/pepelele)
